Bug 93054 - [BDW] DiRT Showdown and Bioshock Infinite only render half the screen (bottom left triangle)
Summary: [BDW] DiRT Showdown and Bioshock Infinite only render half the screen (bottom...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 93185
  Show dependency treegraph
 
Reported: 2015-11-21 09:55 UTC by Kenneth Graunke
Modified: 2016-05-10 12:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2015-11-21 09:55:31 UTC
DiRT Showdown and Bioshock Infinite both only render half of the screen - only the lower left of the two triangles.   This happens right away, even at the splash screen.

export MESA_GL_VERSION_OVERRIDE=4.1
export MESA_GLSL_VERSION_OVERRIDE=410

The scalar VS backend appears to be at fault, because INTEL_DEBUG=vec4 fixes it.
Comment 1 Kenneth Graunke 2016-05-08 01:37:50 UTC
Patch on list:
https://lists.freedesktop.org/archives/mesa-dev/2016-May/115859.html
Comment 2 Ilia Mirkin 2016-05-08 15:42:15 UTC
You probably meant https://patchwork.freedesktop.org/patch/86011/
Comment 3 Kenneth Graunke 2016-05-08 20:38:27 UTC
Heh, whoops.  Yes, that one :)
Comment 4 Kenneth Graunke 2016-05-09 22:32:15 UTC
Fixed by

commit e0e7280db0b03b08479ef9db681db186f80605e5
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Sat May 7 17:30:02 2016 -0700

    i965: Clamp "Maximum VP Index" to 1 when gl_ViewportIndex isn't written.
Comment 5 Eero Tamminen 2016-05-10 12:07:08 UTC
Bug manifests with Mesa 11.2 (e.g. one in Ubuntu 16.04), but is gone with the latest Mesa from Git. -> Verified.
Comment 6 Eero Tamminen 2016-05-10 12:14:00 UTC
(Although title mentions BDW, verification of the issue and its fix were done on SKL.)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.